package com.mdtexfx.io;

/**
 * Defines various file formats and format contents.
 *
 * @see
 * <a href="https://www.iana.org/assignments/media-types/media-types.xhtml">IANA
 * Media Types</a>
 */
public enum MediaType {
  UNDEFINED( "" ),
  TEXT_MARKDOWN( "text/markdown" );

  /**
   * The IANA-defined type and sub-type.
   */
  private final String mMediaType;

  MediaType( final String mediaType ) {
    mMediaType = mediaType;
  }

  /**
   * Returns the IANA-defined type and sub-type.
   *
   * @return The unique media type identifier.
   */
  public String toString() {
    return mMediaType;
  }
}
